<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2024 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
define('IN_DOUCO', true);

$_CUR = 'site_home';
require (dirname(__FILE__) . '/include/init.php');
$smarty->assign('cur', $_CUR);

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// site_logo
if (SYSTEM_SIGN == 'miniprogram') {
    $site_logo = ROOT_URL . MINIPROGRAM_PATH . "/code/" . $_CFG['miniprogram_code'] . "/images/" . $_CFG['site_logo'];
} else {
    $site_logo = ROOT_URL . 'theme/' . $_CFG['site_theme'] . '/images/' . $_CFG['site_logo'];
}
                                                        
// 赋值给模板
$smarty->assign('rec', $rec);
$smarty->assign('ur_here', $_LANG['site_home']);
$smarty->assign('site_logo', $site_logo);
$smarty->assign('show_list', $dou->get_show_list(SYSTEM_SIGN == 'miniprogram' ? 'miniprogram' : 'pc'));
$smarty->assign('fragment_list', $dou->get_fragment_list(0, '', true));
$smarty->display('site_home.htm');

?>